Ticket #140 (closed enhancement: fixed)

Opened 6 years ago

Last modified 5 years ago

fix loading dock performance issues in PostgreSQL.

Reported by: jesus Assigned to: jesus
Priority: minor Milestone: Wangle
Component: database Severity: serious
Keywords: Cc:

Description

When loading info into postgres, we have performance issues as the numeric and text loading docks get "big" (one is just under a billion rows and showing stress).

We should be able to take a very comprehensive approach to this. First, we will partition the data by month, however as each check is monotonically increasing in time, we can rotate out checks into the partition tables as the 5 minute segment is closed out. This means we can keep an "live" loading dock table that basically only had about 5 minutes worth of data for each check in the system.

Change History

05/30/09 17:15:58 changed by jesus

  • status changed from new to assigned.

due to the calculations of derivatives, we'll have to open that window to 10 minutes.

06/15/09 23:07:42 changed by jesus

(In [754]) flag-day(stratcond,database) partition the loading docks, refs #140

06/28/09 01:33:19 changed by jesus

  • status changed from assigned to closed.
  • resolution set to fixed.

still need to partition the rollups. things would be markedly faster, but that is another ticket.